Subject: bug#64196: Can't boot due to discrepancy between reconfigure and init

From: Csepp <[email-masked]>
Date: Thu, 27 Jul 2023 00:42:45 +0200

Csepp <[email-masked]> writes:

> Josselin Poiret <[email-masked]> writes:
>
>> [[PGP Signed Part:Undecided]]
>> Hi,
>>
>> Csepp <[email-masked]> writes:
>>>> I don't think there is, the biggest difference is that `guix system
>>>> init` will copy stuff into the target store and initialize the basic
>>>> directories for Guix, whereas reconfigure will just build everything in
>>>> the current store.
>>>>
>>>> Best,
>>>
>>> I mean, that's the theory, but either Guix or GRUB seems to get the
>>> incorrect UUID from *somewhere*.
>>
>> You can manually check that the generated grub.cfg file contains the
>> expected UUID after the reconfigure, it should be in
>> /boot/grub/grub.cfg.
>>
>> Best,
>
> I did, I think I already wrote that it wasn't coming from there, but
> I'll check again when I next try it.

This is still happening.  Couldn't figure out a decent way to transfer
my system with btrfs send.
I checked the generated bootloader installer script that gets run, it
seems to refer to the correct device, but somehow the UUID of the booted
partition still gets accessed.
I guess I'll have to strace it.